Subject: bug#7253: closed (Re: bug#7253: M-; rebound in message-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Oct 2010 19:57:02 +0000

Your bug report

#7253: comment-dwim should easily allow mid-line comments

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7253: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7253
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7253: M-; rebound in message-mode
From: Lars Magne Ingebrigtsen <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 21 Oct 2010 21:59:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> M-; (translated from <escape> ;) runs the command comment-region,
> which is an interactive autoloaded Lisp function in `newcomment.el'.

I've now removed the binding from message-mode.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen

Subject: comment-dwim should easily allow mid-line comments
From: [email-masked]
To: [email-masked]
Date: Wed, 20 Oct 2010 18:06:35 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Sometimes I want to make a comment in the middle of a line, not at the
end, but whenever I hit M-;, prefix or not, comment-dwim insists on
putting it at the end of line, at least in html-helper mode.
emacs-version "24.0.50.1".